%define url_ver	%(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-pulseaudio-plugin
Summary:	A panel plugin for controlling PulseAudio mixer
Version:	0.2.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0101:	0101-Add-XF86AudioMicMute-key-support.patch
Patch0102:	0102-Add-mic-control-in-the-plugin-menu.patch
Patch0103:	0103-Fix-large-size-button.patch
Patch0104:	0104-Fixed-compilation-errors-with-panel-4.13-bug-13585.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.11.0
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.11.0
Requires:	xfce4-panel >= 4.11.0
Requires:	pavucontrol
# Replaces xfce4-mixer
Obsoletes:	xfce4-mixer < 4.11.0-5

%description
Xfce4-pulseaudio-plugin is a panel plugin for controlling an audio
output volume of the PulseAudio mixer.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure2_5x \
	--enable-libnotify
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/pulseaudio.desktop


%changelog
* Tue May 30 2017 wally <wally> 0.2.5-1.mga6
+ Revision: 1105570
- new version 0.2.5
- add fixes from upstream GIT

* Wed Mar 01 2017 ghibo <ghibo> 0.2.4-3.mga6
+ Revision: 1088281
- Rebuilt against pulseaudio 10

* Tue Jan 05 2016 wally <wally> 0.2.4-2.mga6
+ Revision: 919888
- add patches from upstream git to not show notifications at start up (xfce#12313)

* Tue Oct 27 2015 wally <wally> 0.2.4-1.mga6
+ Revision: 895837
- new version 0.2.4

* Sun Jul 12 2015 wally <wally> 0.2.3-3.mga6
+ Revision: 853407
- enable libnotify support

* Sat Jul 11 2015 wally <wally> 0.2.3-2.mga6
+ Revision: 853292
- obsolete xfce4-mixer

* Sat Jun 20 2015 wally <wally> 0.2.3-1.mga6
+ Revision: 836166
- imported package xfce4-pulseaudio-plugin

